opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
CvERTrees Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvERTrees:

## Public Member Functions

CV_WRAP | CvERTrees ()
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvRTParams params=CvRTParams())
virtual CV_WRAP bool | train (const cv::Mat &trainData, int tflag, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), const cv::Mat &varType=cv::Mat(), const cv::Mat &missingDataMask=cv::Mat(), CvRTParams params=CvRTParams())
virtual bool | train (CvMLData *data, CvRTParams params=CvRTParams())
virtual | ~CvERTrees ()
Public Member Functions inherited from CvRTrees
virtual float | calc_error (CvMLData *_data, int type, std::vector< float > *resp=0)
virtual CV_WRAP void | clear ()
CV_WRAP | CvRTrees ()
CvMat * | get_active_var_mask ()
virtual float | get_proximity (const CvMat *sample1, const CvMat *sample2, const CvMat *missing1=0, const CvMat *missing2=0) const
CvRNG * | get_rng ()
virtual float | get_train_error ()
CvForestTree * | get_tree (int i) const
int | get_tree_count () const
virtual const CvMat * | get_var_importance ()
virtual CV_WRAP cv::Mat | getVarImportance ()
virtual float | predict (const CvMat *sample, const CvMat *missing=0) const
virtual CV_WRAP float | predict (const cv::Mat &sample, const cv::Mat &missing=cv::Mat()) const
virtual float | predict_prob (const CvMat *sample, const CvMat *missing=0) const
virtual CV_WRAP float | predict_prob (const cv::Mat &sample, const cv::Mat &missing=cv::Mat()) const
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual void | write (CvFileStorage *fs, const char *name) const
virtual | ~CvRTrees ()
Public Member Functions inherited from CvStatModel
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual | ~CvStatModel ()

## Protected Member Functions

virtual bool | grow_forest (const CvTermCriteria term_crit)

## Additional Inherited Members

Protected Attributes inherited from CvRTrees
CvMat * | active_var_mask
CvDTreeTrainData * | data
int | nclasses
int | nsamples
int | ntrees
double | oob_error
cv::RNG * | rng
CvForestTree ** | trees
CvMat * | var_importance

## Constructor & Destructor Documentation

CV_WRAP CvERTrees::CvERTrees | ( |  | ) |

virtual CvERTrees::~CvERTrees | ( |  | ) |

virtual

## Member Function Documentation

virtual bool CvERTrees::grow_forest | ( | const CvTermCriteria | term_crit | ) |

protected virtual

Reimplemented from CvRTrees.

virtual bool CvERTrees::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvRTParams | params = `CvRTParams()`
| ) |  |

virtual

Reimplemented from CvRTrees.

virtual CV_WRAP bool CvERTrees::train | ( | const cv::Mat & | trainData,
|  | int | tflag,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | const cv::Mat & | varType = `cv::Mat()`,
|  | const cv::Mat & | missingDataMask = `cv::Mat()`,
|  | CvRTParams | params = `CvRTParams()`
| ) |  |

virtual

Reimplemented from CvRTrees.

virtual bool CvERTrees::train | ( | CvMLData * | data,
|  | CvRTParams | params = `CvRTParams()`
| ) |  |

virtual

Reimplemented from CvRTrees.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp